package com.bcxin.ars.dto;

/**
 * Created by Darren on 2017/3/29.
 */
public class UrgentTaskDTO extends SearchDto<UrgentTaskDTO>{
    /**
     * 主键
     */
    private  Long id;
    /**
     * 任务名称
     */
    private String name;
    /***
     * 任务类型
     */
    private String taskType;
    /***
     *地址
     */
    private String address;
    /***
     * 公司名称
     */
    private String companyName;
    /**
     * 地点经度
     */
    private String longitude;
    /**
     * 地点纬度
     */
    private String latitude;
    /**
     * 区域
     */
    private String area;
    /***
     * 任务状态
     */
    private Long taskStatus;
    /**
     * 紧急类型
     */
    private String urgenttype;
    /***
     * 紧急程度
     */
    private String urgentdegree;
    /**
     * 详细
     */
    private String detail;

    /***
     * 保安公司ID
     */
    private Long companyId;
    /**
     * 人员ID
     */
    private Long personId;

    /***
     * 接受状态
     */
    private Long acceptStatus;




    public String getUrgenttype() {
        return urgenttype;
    }

    public void setUrgenttype(String urgenttype) {
        this.urgenttype = urgenttype;
    }

    public String getUrgentdegree() {
        return urgentdegree;
    }

    public void setUrgentdegree(String urgentdegree) {
        this.urgentdegree = urgentdegree;
    }

    public String getDetail() {
        return detail;
    }

    public void setDetail(String detail) {
        this.detail = detail;
    }

    public Long getPersonId() {
        return personId;
    }

    public void setPersonId(Long personId) {
        this.personId = personId;
    }

    public Long getAcceptStatus() {
        return acceptStatus;
    }

    public void setAcceptStatus(Long acceptStatus) {
        this.acceptStatus = acceptStatus;
    }

    public Long getCompanyId() {
        return companyId;
    }

    public void setCompanyId(Long companyId) {
        this.companyId = companyId;
    }

    public Long getTaskStatus() {
        return taskStatus;
    }

    public void setTaskStatus(Long taskStatus) {
        this.taskStatus = taskStatus;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getTaskType() {
        return taskType;
    }

    public void setTaskType(String taskType) {
        this.taskType = taskType;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public String getLongitude() {
        return longitude;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }

    public String getLatitude() {
        return latitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }

    public String getArea() {
        return area;
    }

    public void setArea(String area) {
        this.area = area;
    }
}
